#!/bin/sh
#
#
# Clean
#

#
# Compile the C++ code to bind.
#
c++ -c pair.h

#
# Generates the wrappers source code.
#
swig -c++ -python -o pair_wrapper.cc pair.i

#
# Compile the C++ wrapper.
#
g++ -I/usr/include/python2.6 -fPIC -c pair_wrapper.cc

#
# Build the C++ wrapper as a shared library.
#
gcc -shared -o _pair.so pair_wrapper.o -lpython2.6 -lstdc++
