#include "pair.hpp"

template<class T1, class T2>
pair::pair():first(T1()), second(T2()) {}

template<class T1, class T2>
pair::pair(const T1 &x, const T2 &y) : first(x), second(y) { }

template<class T1, class T2>
pair::pair(const pair<U1,U2> &x) 
  : first(x.first),second(x.second) { }
