#include "Shape.h"

void Shape::setPosition(double x, double y) {
  xposition = x;
  yposition = y;
}

double Shape::getXPosition() const { return xposition; }
double Shape::getYPosition() const { return yposition; }

Square::Square(double width) : width(width) {}
Square::~Square() {}
double Square::area() const  { return width * width ; }
double Square::perimeter() const { return 4 * width ; }

Circle::Circle(double radius) : radius(radius) {}
Circle::~Circle() {}
double Circle::area() const  { return 3.14159265 * radius * radius ; }
double Circle::perimeter() const { return 2 * 3.14159265 * radius ; }
