class Shape {
 private:
  double xposition;
  double yposition;

 public:
  virtual double area() const = 0;
  virtual double perimeter() const = 0;
  void setPosition(double x, double y);
  double getXPosition() const;
  double getYPosition() const;
};

class Square : public Shape {
 private:
  double width;

 public:
  Square(double width);
  virtual ~Square();
  virtual double area() const;
  virtual double perimeter() const;
  
};

class Circle : public Shape {
 private:
  double radius;

 public:
  Circle(double radius);
  virtual ~Circle();
  virtual double area() const;
  virtual double perimeter() const;
  
};
