%module Shape
%{
#include "Shape.h"
%}

class Shape {
 public:
  virtual double area() const = 0;
  virtual double perimeter() const = 0;
  void setPosition(double x, double y);
  double getXPosition() const;
  double getYPosition() const;
};

class Square : public Shape {
 public:
  Square(double width);
  virtual ~Square();
  virtual double area() const;
  virtual double perimeter() const;
  
};

class Circle : public Shape {
 public:
  Circle(double width);
  virtual ~Circle();
  virtual double area() const;
  virtual double perimeter() const;
  
};
