template<class T1, class T2> struct pair {
  T1 first;
  T2 second;
  pair();
  pair(const T1 &x, const T2 &y);
  template<class U1, class U2> pair(const pair<U1,U2> &x); 
};

template<class T1, class T2>
pair<T1, T2>::pair():first(T1()), second(T2()) {}

template<class T1, class T2>
pair<T1, T2>::pair(const T1 &x, const T2 &y) : first(x), second(y) { }

template<class T1, class T2>
template<class U1, class U2>
pair<T1, T2>::pair(const pair<U1,U2> &x): first(x.first),second(x.second) { }
