#include "Shape.h"

void Shape::setPosition(double x, double y) {
  itsXPosition = x;
  itsYPosition = y;
}

double Shape::getXPosition() const { return itsXPosition; }
double Shape::getYPosition() const { return itsYPosition; }

Square::Square(double width) : itsWidth(width) {}
Square::~Square() {}
double Square::area() const  { return itsWidth * itsWidth ; }
double Square::perimeter() const { return 4 * itsWidth ; }

Circle::Circle(double radius) : itsRadius(radius) {}
Circle::~Circle() {}
double Circle::area() const  { return 3.14159265 * itsRadius * itsRadius ; }
double Circle::perimeter() const { return 2 * 3.14159265 * itsRadius ; }
double Circle::radius() const { return itsRadius; }
