#!/bin/sh
#
#
# Clean
#


#
# Compile the C++ code to be bound.
#
c++ -c Shape.cc

#
# Generate the wrappers source code.
#
swig -c++ -python -o Shape_wrapper.cc Shape.i

#
# Compile the C++ wrapper.
#
g++ -I/usr/include/python2.6 -fPIC -c Shape_wrapper.cc

#
# Build the C++ wrapper as a shared library.
#
gcc -shared -o _Shape.so Shape_wrapper.o Shape.o -lpython2.6 -lstdc++



