#include "MyVec.h"
#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>

double MyVec::module (const std::vector<double> & v) {
  double tmp = 0.0;
  for (unsigned int i = 0; i < v.size(); i++) 
    tmp += v.at(i) * v.at(i);
  return sqrt(tmp); 
}

std::vector<double> MyVec::drand(int n, double x0, double x1) {
  std::vector<double> result;
  srand(time(0));
  for (unsigned int i=0; i<n; i++)
    result.push_back(x0 + (x1 - x0) * rand() / ((double) RAND_MAX));
  return result;
}
