#!/bin/sh
#
#
# Clean
#


#
# Compile the C++ code to be bound.
#
c++ -c MyVec.cc

#
# Generate the wrappers source code.
#
swig -c++ -python -o MyVec_wrapper.cc MyVec.i

#
# Compile the C++ wrapper.
#
g++ -I/usr/include/python2.6 -fPIC -c MyVec_wrapper.cc

#
# Build the C++ wrapper as a shared library.
#
gcc -shared -o _MyVec.so MyVec_wrapper.o MyVec.o -lpython2.6 -lstdc++



